    let kmMotor=new KMMotorOneWebBLE();
    let actionPlaySpeedRPM=4;//4rpm
    let actionAfterSpeedRPM=10;
    let actionAfterIntervalTimeMS=4000;
    //------------------------------------//
    //SE関係
    //------------------------------------//
    //license https://dova-s.jp/bgm/play3685.html
    const audioSEs={
        'play':new Audio('./se/play.mp3')
        ,'after':new Audio('./se/after.mp3')
    };

    audioSEs['play'].loop='true';


    function playSEPlay(){
        audioSEs['after'].pause();
        audioSEs['after'].currentTime = 0;
        audioSEs['play'].play();

    }
    function playSEAfter(){
        audioSEs['play'].pause();
        audioSEs['play'].currentTime = 0;
        audioSEs['after'].play();
    }
    function playSEStop(){
        audioSEs['play'].pause();
        audioSEs['play'].currentTime = 0;
        audioSEs['after'].pause();
        audioSEs['after'].currentTime = 0;
    }


    //------------------------------------//
    //モーター接続制御
    //------------------------------------//

    kmMotor.on(kmMotor.EVENT_TYPE.connect,(kMDeviceInfo)=>{
        console.log("onConnect:"+kMDeviceInfo.isConnect);
        motorConInit();
        motorConnectStateChange(true);
    });
    kmMotor.on(kmMotor.EVENT_TYPE.disconnect,(kMDeviceInfo)=>{
        console.log("disconnect:"+kMDeviceInfo.isConnect);
        motorConnectStateChange(false);
    });


    function motorConnectStateChange(flg){
        $('#motorConnectbtn').toggleClass('discon',flg);
        $('#cltBtns').toggleClass('noConnect',!flg);
    }

    //接続時モーター初期設定
    function motorConInit(){
        if(kmMotor.deviceInfo.isConnect){
            kmMotor.cmdEnable();
            kmMotor.cmdSpeed_rpm(actionPlaySpeedRPM);//4rpm
        }
    }

    //モーター移動 左無限
    function actionPlay(isBtnAction) {
        clearTimeout(actionAfterTimeoutId);
        if(kmMotor.deviceInfo.isConnect){
            if(isBtnAction){
                kmMotor.cmdEnable();//info::一瞬バックする為、ボタン押下時のみ実行
            }
            kmMotor.cmdSpeed_rpm(actionPlaySpeedRPM);
            kmMotor.cmdRunReverse();
            playSEPlay();

        }
    }

    let actionAfterTimeoutId=0;
    function actionAfter() {
        clearTimeout(actionAfterTimeoutId);
        if(kmMotor.deviceInfo.isConnect){
            kmMotor.cmdSpeed_rpm(actionAfterSpeedRPM);
            kmMotor.cmdRunForward();
            playSEAfter();
            actionAfterTimeoutId= setTimeout(()=>{
                actionPlay();
            },actionAfterIntervalTimeMS);
        }
    }

    function actionStop() {
        playSEStop();
        clearTimeout(actionAfterTimeoutId);
        kmMotor.cmdDisable();
    }

    //------------------------------------//
    //entry
    //------------------------------------//
    $(function() {
        $('#motorConnectbtn').on('click', () =>{
            if(kmMotor.isConnect){
                kmMotor.disConnect();
            }else{
                kmMotor.connect();
            }
        });
        $('#actionPlaybtn').on('click', () =>{
            actionPlay(true);
        });
        $('#actionAfterbtn').on('click', () =>{
            actionAfter();
        });
        $('#actionStopbtn').on('click', () =>{
            actionStop();
        });
    });

